import {
    request
} from '../selfRequest';


// 查询故障分类列表
export function deviceTypeListRq() {
    return request({
        url: '/repair/deviceTypeList',
        method: "get",
    });
}

// 根据故障分类查询故障设备列表
export function deviceListRq(data) {
    return request({
        url: '/repair/deviceList',
        method: "get",
        data
    });
}

// 查询地区
export function selectAddressListRq() {
    return request({
        url: '/repair/selectAddressList',
        method: "get",
    });
}

// 查询楼层
export function selectRoomListRq(data) {
    return request({
        url: '/repair/selectRoomList',
        method: "get",
        data
    });
}

// 保存工单
export function repairSaveRq(data) {
    return request({
        url: '/repair/save',
        method: "post",
        data
    });
}
